Create an AWS account
Creates an AWS account for use with Cloud Volumes ONTAP. Use this to configure and manage storage resources in your AWS environment.
HTTP method and endpoint
POST /accounts/aws
|
|
This operation is deprecated. |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
accountName |
string |
False |
|
providerKeys |
True |
||
subscriptionId |
string |
False |
Example request
{
"accountName": "string",
"providerKeys": {
"assumeRoleArn": "string",
"awsAccessKeys": {
"accessKey": "string",
"secretKey": "string"
}
},
"subscriptionId": "string"
}
Error
Status: Default, Default response
| Name | Type | Required | Description |
|---|---|---|---|
accessKey |
string |
False |
|
accountId |
string |
False |
|
accountName |
string |
False |
|
accountType |
string |
False |
|
assumeRole |
False |
||
occmRole |
string |
False |
|
publicId |
string |
True |
|
subscriptionId |
string |
False |
|
vsaList |
True |
Example error response
{
"accessKey": "string",
"accountId": "string",
"accountName": "string",
"accountType": "string",
"assumeRole": {
"accountId": "string",
"roleName": "string"
},
"occmRole": "string",
"publicId": "string",
"subscriptionId": "string",
"vsaList": [
{
"name": "string",
"publicId": "string",
"workingEnvironmentType": "string"
}
]
}
Definitions
See Definitions
AwsAccessKeys
| Name | Type | Required | Description |
|---|---|---|---|
accessKey |
string |
True |
|
secretKey |
string |
False |
AwsKeysRequest
| Name | Type | Required | Description |
|---|---|---|---|
assumeRoleArn |
string |
False |
|
awsAccessKeys |
False |
AssumeRole
| Name | Type | Required | Description |
|---|---|---|---|
accountId |
string |
False |
|
isGov |
boolean |
False |
|
roleName |
string |
False |
AccountWorkingEnvironmentResponse
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
False |
|
publicId |
string |
False |
|
workingEnvironmentType |
string |
False |